## org.eclipse.emf.ecore.change.impl
Class ChangeFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.emf.ecore.change.impl.ChangeFactoryImpl

All Implemented Interfaces:
  Notifier, ChangeFactory, EFactory, EModelElement, EObject, InternalEObject

    public class ChangeFactoryImpl

extends EFactoryImpl
implements ChangeFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.change.ChangeFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`ChangeFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertChangeKindToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`ChangeDescription` `createChangeDescription()`
`ChangeKind` `createChangeKindFromString(EDataType eDataType, java.lang.String initialValue)`
`java.util.Map.Entry<EObject,EList<FeatureChange>>` `createEObjectToChangesMapEntry()`
`java.util.Map.Entry<EObject,EList<FeatureChange>>` `createEObjectToChangesMapEntry(EObject eObject)`
`FeatureChange` `createFeatureChange()`
`FeatureChange` `createFeatureChange(EStructuralFeature feature, java.lang.Object oldValue, boolean oldIsSet)`
`FeatureMapEntry` `createFeatureMapEntry()`
`FeatureMapEntry` `createFeatureMapEntry(EStructuralFeature feature, java.lang.Object value)`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`ListChange` `createListChange()`
`ResourceChange` `createResourceChange()`
`ResourceChange` `createResourceChange(Resource resource, EList<java.lang.Object> oldValue)`
`ChangePackage` `getChangePackage()`
`static ChangePackage` `getPackage()` Deprecated.
`static ChangeFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### ChangeFactoryImpl

    public ChangeFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static ChangeFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  Overrides:
    `create` in class `EFactoryImpl`
  Parameters:
    `eClass` - the class of the new instance.
  Returns:
    a new instance of the class.

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `EFactory`
  Overrides:
    `createFromString` in class `EFactoryImpl`
    `initialValue` - literal value of the instance.
  Returns:
    an instance of the data type.
  See Also:
    `EFactory.convertToString(EDataType, Object)`

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `EFactory`
  Overrides:
    `convertToString` in class `EFactoryImpl`
  Parameters:
    `eDataType` - the data type of the value.
    `instanceValue` - the value.
  Returns:
    the literal value of the instance.
  See Also:
    `EFactory.createFromString(EDataType, String)`

### createChangeDescription

    public ChangeDescription createChangeDescription()

  Specified by:
    `createChangeDescription` in interface `ChangeFactory`
  Returns:
    a new object of class 'Description'.

### createEObjectToChangesMapEntry

    public java.util.Map.Entry<EObject,EList<FeatureChange>> createEObjectToChangesMapEntry()

### createFeatureChange

    public FeatureChange createFeatureChange()

  Specified by:
    `createFeatureChange` in interface `ChangeFactory`
  Returns:
    a new object of class 'Feature Change'.

### createFeatureChange

    public FeatureChange createFeatureChange(EStructuralFeature feature,
                                             java.lang.Object oldValue,
                                             boolean oldIsSet)

  Specified by:
    `createFeatureChange` in interface `ChangeFactory`

### createListChange

    public ListChange createListChange()

  Specified by:
    `createListChange` in interface `ChangeFactory`
  Returns:
    a new object of class 'List Change'.

### createResourceChange

    public ResourceChange createResourceChange()

  Specified by:
    `createResourceChange` in interface `ChangeFactory`
  Returns:
    a new object of class 'Resource Change'.

### createResourceChange

    public ResourceChange createResourceChange(Resource resource,
                                               EList<java.lang.Object> oldValue)

  Specified by:
    `createResourceChange` in interface `ChangeFactory`

### createFeatureMapEntry

    public FeatureMapEntry createFeatureMapEntry()

  Specified by:
    `createFeatureMapEntry` in interface `ChangeFactory`
  Returns:
    a new object of class 'Feature Map Entry'.

### createChangeKindFromString

    public ChangeKind createChangeKindFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertChangeKindToString

    public java.lang.String convertChangeKindToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createFeatureMapEntry

    public FeatureMapEntry createFeatureMapEntry(EStructuralFeature feature,
                                                 java.lang.Object value)

  Specified by:
    `createFeatureMapEntry` in interface `ChangeFactory`

### getChangePackage

    public ChangePackage getChangePackage()

  Specified by:
    `getChangePackage` in interface `ChangeFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static ChangePackage getPackage()

  Deprecated.

### createEObjectToChangesMapEntry

    public java.util.Map.Entry<EObject,EList<FeatureChange>> createEObjectToChangesMapEntry(EObject eObject)

  Specified by:
    `createEObjectToChangesMapEntry` in interface `ChangeFactory`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.